/////////////////////////////////////////////////////////////////////////////           
//                                                                                      
// Created by: Sergey Belovolov                                                         
// Created on: 01.07.04                                                                                                                                 
//                                                                                      
/////////////////////////////////////////////////////////////////////////////           
// (C) 2004 Sergey Belovolov                                           
// e-mail: b_sv@mail.ru
/////////////////////////////////////////////////////////////////////////////

#include "UDPConn_Processor.h"

#include "ipstream/ipstream.h"

#include "../port_processors/SerialArray.h"

#include <iostream>

// Call processing
void UDPConn_Processor::operator()( IPStream::ipstream& ipstrm )
{
	// Link stream for avoiding blocking parent thread inside this function
	Link( ipstrm );

	int iArr[ 5 ];
	std::string strRcv;

	ipstrm >> iArr;

	// Make UDP-socket connected
	if ( ipstrm.Connect() && !ToStop() )
	{
		ipstrm >> strRcv;

		if ( !( strRcv.empty() || ToStop() ) )
		{
			d_cerr( strRcv );

			// Loop back
			ipstrm << iArr << strRcv;
		}

	} // if ( ipstrm.Connect() )
}

