/////////////////////////////////////////////////////////////////////////////           
//                                                                                      
// Created by: Sergey Belovolov                                                         
// Created on: 24.06.04                                                                 
//                                                                                      
/////////////////////////////////////////////////////////////////////////////           
// (C) 2004 Sergey Belovolov                                           
// e-mail: b_sv@mail.ru
/////////////////////////////////////////////////////////////////////////////

#include "Processor_Impl1.h"

#include "ipstream/ipstream.h"

#include <iostream>
      
#include "SerialArray.h"

// Implementation of processing with send/receive via direct ipstream::operator<</>>
// Call processing
void Processor_Impl1::operator()( IPStream::ipstream& ipstrm )
{
	// Link stream for avoiding blocking parent thread inside this function
	Link( ipstrm );

	int iArr[ 5 ];
	std::string strRcv;

	ipstrm >> iArr >> strRcv;
	
	if ( !( strRcv.empty() || ToStop() ) )
	{
		d_cerr( strRcv );

		// Loop back
        ipstrm << iArr << strRcv;
	}
   
/*
    int count = 0;
    while (true) {
        count++;
        std::string strRcv;

        if ( !ipstrm.good() ) {
            std::cout << count << " ipstream bad" << std::endl;
            break;
        }

        ipstrm >> strRcv;
        std::cout << count << " Received " << strRcv.length() << std::endl;
    
        if ( !strRcv.empty() && !ToStop()  && ipstrm.good() )
        {
            ipstrm << strRcv;
            std::cout << count << " Sent " << strRcv.length() << std::endl;
        } else
        {
            std::cout << count << " ipstream bad" << std::endl;
            break;
        }
    }
*/
}


