/////////////////////////////////////////////////////////////////////////////           
//                                                                                      
// Created by: Sergey Belovolov                                                         
// Created on: 26.09.04                                                                 
//                                                                                      
/////////////////////////////////////////////////////////////////////////////           
// (C) 2004 Sergey Belovolov                                           
// e-mail: b_sv@mail.ru
/////////////////////////////////////////////////////////////////////////////

#ifndef _SERIAL_ARRAY_H
#define _SERIAL_ARRAY_H

typedef int intArr5[5];

// Input data
template < typename StreamType >
inline StreamType& operator << ( StreamType& strm, const intArr5& Array )
{
	for ( unsigned int uiCount = 0; uiCount < sizeof( Array )/sizeof( Array[ 0 ] ); ++uiCount )
		strm << Array[ uiCount ];

	return strm;
}

// Output data
template < typename StreamType >
inline StreamType& operator >> ( StreamType& strm, intArr5& Array )
{
	for ( unsigned int uiCount = 0; uiCount < sizeof( Array )/sizeof( Array[ 0 ] ); ++uiCount )
		strm >> Array[ uiCount ];

	return strm;
}

#endif // _SERIAL_ARRAY_H

